- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# TAO::Upcall_Wrapper Class Reference

Wraps the activities of the _skel operations. More...

`#include <Upcall_Wrapper.h>`

List of all members.

## Public Member Functions
void | upcall (TAO_ServerRequest &server_request, TAO::Argument *const args[], size_t nargs, TAO::Upcall_Command &command, void *servant_upcall, CORBA::TypeCode_ptr const *exceptions, CORBA::ULong nexceptions)
| Perform the upcall.
## Private Member Functions
void | pre_upcall (TAO_InputCDR &cdr, TAO::Argument *const *args, size_t nargs)
| Perform pre-upcall operations.
void | post_upcall (TAO_OutputCDR &cdr, TAO::Argument *const *args, size_t nargs)
| Perform post-upcall operations.

## Detailed Description

Wraps the activities of the _skel operations.

## Member Function Documentation

void TAO::Upcall_Wrapper::post_upcall | ( | TAO_OutputCDR & | cdr,
|  | TAO::Argument *const * | args,
|  | size_t | nargs |
| ) |  |  | `[private]`

Perform post-upcall operations.

Perform post-upcall operations, including operation `INOUT` and `OUT` argument marshaling.

void TAO::Upcall_Wrapper::pre_upcall | ( | TAO_InputCDR & | cdr,
|  | TAO::Argument *const * | args,
|  | size_t | nargs |
| ) |  |  | `[private]`

Perform pre-upcall operations.

Perform pre-upcall operations, including operation `IN` and `INOUT` argument demarshaling.

TAO_BEGIN_VERSIONED_NAMESPACE_DECL void TAO::Upcall_Wrapper::upcall | ( | TAO_ServerRequest & | server_request,
|  | TAO::Argument *const | args[],
|  | size_t | nargs,
|  | TAO::Upcall_Command & | command,
|  | void * | servant_upcall,
|  | CORBA::TypeCode_ptr const * | exceptions,
|  | CORBA::ULong | nexceptions |
| ) |  |  |

Perform the upcall.

Parameters:

  | server_request | Object containing server side messaging operations (e.g. CDR reply construction, etc).
  | args | Operation argument list.
  | nargs | Number of arguments in the operation argument list.
  | command | `Command` object that performs the actual upcall into the servant.
  | servant_upcall | Object containing information for POA that dispatched the servant.
  | servant | The servant handling the upcall.
  | exceptions | Array of user exceptions the operation may raise.
  | nexceptions | The number of exceptions in the operation user exception array.

The documentation for this class was generated from the following files:

- Upcall_Wrapper.h
- Upcall_Wrapper.cpp